"use strict";
var testing_1 = require('angular2/testing');
var markdown_pipe_1 = require('../../src/renderer/pipe/markdown.pipe');
var $ = require('jquery');
testing_1.describe('MarkdownPipe', function () {
    var testee;
    testing_1.beforeEach(function () {
        testee = new markdown_pipe_1.MarkdownPipe();
    });
    testing_1.it('can parse html from markdown', function () {
        var actual = $(testee.transform('# title', []));
        testing_1.expect(actual[0].tagName).toEqual('H1');
        testing_1.expect(actual[0].innerText).toEqual('title');
    });
    testing_1.it('can render emoji', function () {
        var actual = $(testee.transform('emoji :tada: :bow: :+1: :no-emoji:', []));
        var images = $('img', actual[0]);
        testing_1.expect(images.length).toEqual(3);
        testing_1.expect(images[0].src).toEqual('http://localhost:9876/images/emoji/tada.png');
        testing_1.expect(images[1].src).toEqual('http://localhost:9876/images/emoji/bow.png');
        testing_1.expect(images[2].src).toEqual('http://localhost:9876/images/emoji/%2B1.png');
    });
});
//# sourceMappingURL=markdown.pipe.spec.js.map